import createAxios from '@/utils/request'

import { SUPERVISION_BOOT } from '@/utils/constantRequest'

const MAPPING_PATH = SUPERVISION_BOOT + '/tempLine'

/**
 * 提交监测点联调表单数据
 */
export const addMointorPointTempLinedebug = (data: any) => {
    return createAxios({
        url: '/supervision-boot/tempLinedebug/add',
        method: 'POST',
        data: data
    })
}

/**
 * 重新发起监测点联调表单数据
 */
export const updateMointorPointTempLinedebug = (data: any) => {
    return createAxios({
        url: '/supervision-boot/tempLinedebug/update',
        method: 'POST',
        data: data
    })
}

/**
 * 取消发起监测点联调表单数据
 */
export const cancelMointorPointTempLinedebug = (data: any) => {
    return createAxios({
        url: '/supervision-boot/tempLinedebug/cancel',
        method: 'POST',
        data: data
    })
}


/**
 * 根据id获取监测点联调的详细数据
 */
export const getMointorPointTempLinedebugDetail = (obj: any) => {
    let form = new FormData()
    form.append('id', obj.id)
    return createAxios({
        url:'/supervision-boot/tempLinedebug/getDetail',
        method: 'POST',
        data:form
    })
}


//同步台账
export const setTempLinedebugLedgerSync = (obj: any) => {
    let form = new FormData()
    form.append('id', obj.id)
    return createAxios({
        url:'/supervision-boot/tempLinedebug/ledgerSync',
        method: 'POST',
        data:form
    })
}



